<div id="wrapper" class="statcadre">
<canvas id="chart_nbperweekperniv" class="charts"></canvas>
</div>
<script type="text/javascript">
(async function() {
    
    Chart.register(ChartDataLabels);
    const labels = <?php echo json_encode($tabWeeks); ?>;
    const data = {
      labels: labels,
      datasets: [ 
        <?php $i=1;$j=1;
        foreach($tabDebniveau as $divdeb) { ?>
        {
            label: <?php echo json_encode($tabNiveau[$i-1]); ?>,
            data: <?php echo json_encode($tab[$i]); ?>,
            backgroundColor: '<?php echo $tabColor[$i] ?>',
            borderColor: '<?php echo $tabColor[$i] ?>',
            borderWidth: 1
        } <?php if($j<count($tabDebniveau)) { echo ','; } $i++; $j++;} ?> ]
    };
new Chart(
    document.getElementById('chart_nbperweekperniv'),
    {
    type: 'bar',
    data: data,
    options: {
        plugins: {
            title: {
                display: true,
                text: "<?php echo FDIR_STATS_TIT37; ?>"
            },
            legend: {
                display:false
            },
            tooltip : {
                mode: 'point',
                intersect: false,
              }  ,    
            datalabels: {
              display: true, // Affiche les étiquettes de données
              color: '#fff', // Couleur du texte
              align: 'center', // Alignement horizontal
              anchor: 'center', // Alignement vertical
              font: {
                weight: 'bold', // Style de police
              },
              display: function(context) {
                    return false; // Ne pas afficher les étiquettes de données
                },
            },
        },
        responsive: true,
        maintainAspectRatio: false,
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true
                }
            }]
        },
      }
    }
);
})();
</script>